# Generated by Django 3.2 on 2021-08-12 15:30

from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('username', models.CharField(blank=True, max_length=200, null=True)),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='email address')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Fill_Table',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, max_length=150, null=True)),
                ('strategy_id', models.CharField(blank=True, max_length=150, null=True)),
                ('accno', models.CharField(blank=True, max_length=150, null=True)),
                ('exchange', models.CharField(blank=True, max_length=150, null=True)),
                ('source', models.CharField(blank=True, max_length=150, null=True)),
                ('asset_type', models.CharField(blank=True, max_length=150, null=True)),
                ('log_time', models.CharField(blank=True, max_length=150, null=True)),
                ('symbol', models.CharField(blank=True, max_length=150, null=True)),
                ('filled_quantity', models.FloatField(blank=True, max_length=150, null=True)),
                ('order_quantity', models.FloatField(blank=True, max_length=150, null=True)),
                ('side', models.CharField(blank=True, max_length=150, null=True)),
                ('fill_cost', models.FloatField(blank=True, max_length=150, null=True)),
                ('est_fill_cost', models.FloatField(blank=True, max_length=150, null=True)),
                ('api_order_uid', models.CharField(blank=True, max_length=150, null=True)),
                ('order_uid', models.CharField(blank=True, max_length=150, null=True)),
                ('signal_uid', models.CharField(blank=True, max_length=150, null=True)),
                ('matcher', models.CharField(blank=True, max_length=150, null=True)),
                ('direction', models.CharField(blank=True, max_length=150, null=True)),
                ('commission', models.FloatField(blank=True, max_length=150, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.CharField(blank=True, max_length=100, null=True)),
                ('ip_address', models.CharField(blank=True, max_length=30, null=True)),
                ('log_level', models.CharField(blank=True, max_length=20, null=True)),
                ('message', models.TextField(blank=True, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Order_Table',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, max_length=150, null=True)),
                ('strategy_id', models.CharField(blank=True, max_length=150, null=True)),
                ('exchange', models.CharField(blank=True, max_length=150, null=True)),
                ('source', models.CharField(blank=True, max_length=150, null=True)),
                ('asset_type', models.CharField(blank=True, max_length=150, null=True)),
                ('symbol', models.CharField(blank=True, max_length=150, null=True)),
                ('order_type', models.CharField(blank=True, max_length=150, null=True)),
                ('quantity', models.FloatField(blank=True, max_length=150, null=True)),
                ('price', models.FloatField(blank=True, max_length=150, null=True)),
                ('side', models.CharField(blank=True, max_length=150, null=True)),
                ('direction', models.CharField(blank=True, max_length=150, null=True)),
                ('leverage_size', models.FloatField(blank=True, max_length=150, null=True)),
                ('invest_amount', models.FloatField(blank=True, max_length=150, null=True)),
                ('margin_type', models.CharField(blank=True, max_length=150, null=True)),
                ('est_fill_cost', models.FloatField(blank=True, max_length=150, null=True)),
                ('log_time', models.CharField(blank=True, max_length=150, null=True)),
                ('status', models.CharField(blank=True, max_length=150, null=True)),
                ('matcher', models.CharField(blank=True, max_length=150, null=True)),
                ('signal_uid', models.CharField(blank=True, max_length=150, null=True)),
                ('order_uid', models.CharField(blank=True, max_length=150, null=True)),
                ('api_order_uid', models.CharField(blank=True, max_length=150, null=True)),
                ('remaining_quantity', models.FloatField(blank=True, max_length=150, null=True)),
                ('paired', models.CharField(blank=True, max_length=10, null=True)),
                ('repay_needed', models.CharField(blank=True, max_length=10, null=True)),
                ('leverage_confirmed', models.CharField(blank=True, max_length=10, null=True)),
                ('margin_type_confirmed', models.CharField(blank=True, max_length=10, null=True)),
                ('transfer_confirmed', models.CharField(blank=True, max_length=10, null=True)),
                ('order_confirmed', models.CharField(blank=True, max_length=10, null=True)),
                ('repay_confirmed', models.CharField(blank=True, max_length=10, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PairSignal_Table',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, max_length=150, null=True)),
                ('strategy_id', models.CharField(blank=True, max_length=150, null=True)),
                ('long_info', models.CharField(blank=True, max_length=150, null=True)),
                ('short_info', models.CharField(blank=True, max_length=150, null=True)),
                ('log_time', models.CharField(blank=True, max_length=150, null=True)),
                ('signal_type', models.CharField(blank=True, max_length=50, null=True)),
                ('long_cur_price', models.FloatField(blank=True, max_length=50, null=True)),
                ('short_cur_price', models.FloatField(blank=True, max_length=50, null=True)),
                ('order_type', models.CharField(blank=True, max_length=50, null=True)),
                ('signal_uid', models.CharField(blank=True, max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Signal_Table',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(blank=True, max_length=150, null=True)),
                ('strategy_id', models.CharField(blank=True, max_length=150, null=True)),
                ('symbol', models.CharField(blank=True, max_length=150, null=True)),
                ('exchange', models.CharField(blank=True, max_length=150, null=True)),
                ('asset_type', models.CharField(blank=True, max_length=150, null=True)),
                ('log_time', models.CharField(blank=True, max_length=150, null=True)),
                ('signal_type', models.CharField(blank=True, max_length=50, null=True)),
                ('signal_price', models.FloatField(blank=True, max_length=50, null=True)),
                ('order_type', models.CharField(blank=True, max_length=50, null=True)),
                ('signal_uid', models.CharField(blank=True, max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dob', models.DateField(blank=True, null=True)),
                ('phone', models.CharField(blank=True, max_length=20, null=True)),
                ('address', models.CharField(blank=True, max_length=255, null=True)),
                ('country', models.CharField(blank=True, max_length=50, null=True)),
                ('city', models.CharField(blank=True, max_length=50, null=True)),
                ('zip', models.CharField(blank=True, max_length=5, null=True)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
